# TPK4186 - Advanced Tools for Performance Engineering
# Walker.py
# by Antoine Rauzy
# Copyrights (c) 2019-2020 NTNU
#
# This file is part of the educational material provided to NTNU students registered to the course TPK4186.
# It is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License.
# For details about this license, see https://creativecommons.org/licenses/by-nc/4.0/.

# Required modules
# sys.path.insert(0, ".")
import Grid

# User Interface
def CommandLoop():
  chr = None
  while chr!="q":
    chr = input()
    if chr=="n":
      Grid.GoNorth()
    elif chr=="s":
      Grid.GoSouth()
    elif chr=="e":
      Grid.GoEast()
    elif chr=="w":
      Grid.GoWest()
    elif chr=="z":
      Grid.MakeRandomMove()
    elif chr=="p":
      Grid.PrintPosition()
    elif chr=="r":
      Grid.Reset()
    else:
      print("What?")

# Main
CommandLoop()
print("bye")
