# TPK4186 - Advanced Tools for Performance Engineering
# SalesPoints.py
# by Antoine Rauzy
# Copyrights (c) 2019-2020 NTNU
#
# This file is part of the educational material provided to NTNU students registered to the course TPK4186.
# It is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License.
# For details about this license, see https://creativecommons.org/licenses/by-nc/4.0/.


import matplotlib.pyplot as plt

months = [m for m in range(1, 13)]
BVR724 = [4939, 4521, 4767, 4992, 5151, 5378, 4578, 4634, 5210, 5376, 4470, 4764]
BVR068 = [7366, 7214, 7329, 7634, 7138, 7563, 7282, 7145, 7190, 7425, 7357, 7626]

plt.plot(months, BVR724, 'go', label='BVR724')
plt.plot(months, BVR068, 'r^', label='BVR068')

plt.title('Monthly sales of BVR724 and BVR068')
plt.ylabel('Sales')
plt.xlabel('Months')
plt.legend()
plt.savefig('Sales.pdf')  
plt.show()
plt.close()